# https://editorconfig.org/

root = true

[*]
indent_style = space
insert_final_newline = true
trim_trailing_whitespace = true
end_of_line = lf
charset = utf-8

# Docstrings and comments use max_line_length = 79
[*.py]
indent_size = 4
#max_line_length = 88

# Use 2 spaces for the HTML files
[{*.html, *.jinja2}]
indent_size = 2

# Use 2 spaces for the toml files
[*.toml]
indent_size = 2

# The JSON files contain newlines inconsistently
[*.json]
indent_size = 2

# Minified JavaScript files shouldn't be changed
[**.min.js]
indent_style = ignore
insert_final_newline = ignore

# Makefiles always use tabs for indentation
[Makefile]
indent_style = tab

[*.yml]
indent_size = 2
